curl --request GET \
--url 'https://api-prod.usefini.com/v2/reply-behavior/fields-context/public' \
--header 'Authorization: Bearer fini_your_api_key'
const response = await fetch('https://api-prod.usefini.com/v2/reply-behavior/fields-context/public', {
method: 'GET',
headers: {
Authorization: 'Bearer fini_your_api_key'
}
});
const fieldsContext = await response.json();
import requests
response = requests.get(
"https://api-prod.usefini.com/v2/reply-behavior/fields-context/public",
headers={"Authorization": "Bearer fini_your_api_key"},
)
fields_context = response.json()
{
"userAttributes": [],
"operatorTypes": [
{ "value": "==", "label": "Equals" },
{ "value": "!=", "label": "Not Equals" },
{ "value": "contains", "label": "Contains" }
],
"quantifierTypes": [
{ "value": "ANY", "label": "Any" },
{ "value": "ALL", "label": "All" },
{ "value": "NONE", "label": "None" }
],
"sources": ["intercom", "zendesk"],
"tagGroups": [
{
"id": "8e96d004-e59d-4c71-9940-825cc3a7e5da",
"name": "Conversation topic",
"tags": [
{
"id": "abef2d19-fc42-4990-898a-fbcecabf11d4",
"name": "Billing"
}
]
}
],
"contextFields": [
{
"name": "Integration Provider",
"path": "source",
"dataType": "string"
},
{
"name": "Channel",
"path": "channel",
"dataType": "string",
"values": ["chat", "email"]
},
{
"name": "Escalated Conversation",
"path": "alreadyEscalated",
"dataType": "boolean"
}
]
}
Reply Rules
Get reply rule fields context
Read the fields and values available when interpreting reply rule conditions.
GET
/
v2
/
reply-behavior
/
fields-context
/
public
curl --request GET \
--url 'https://api-prod.usefini.com/v2/reply-behavior/fields-context/public' \
--header 'Authorization: Bearer fini_your_api_key'
const response = await fetch('https://api-prod.usefini.com/v2/reply-behavior/fields-context/public', {
method: 'GET',
headers: {
Authorization: 'Bearer fini_your_api_key'
}
});
const fieldsContext = await response.json();
import requests
response = requests.get(
"https://api-prod.usefini.com/v2/reply-behavior/fields-context/public",
headers={"Authorization": "Bearer fini_your_api_key"},
)
fields_context = response.json()
{
"userAttributes": [],
"operatorTypes": [
{ "value": "==", "label": "Equals" },
{ "value": "!=", "label": "Not Equals" },
{ "value": "contains", "label": "Contains" }
],
"quantifierTypes": [
{ "value": "ANY", "label": "Any" },
{ "value": "ALL", "label": "All" },
{ "value": "NONE", "label": "None" }
],
"sources": ["intercom", "zendesk"],
"tagGroups": [
{
"id": "8e96d004-e59d-4c71-9940-825cc3a7e5da",
"name": "Conversation topic",
"tags": [
{
"id": "abef2d19-fc42-4990-898a-fbcecabf11d4",
"name": "Billing"
}
]
}
],
"contextFields": [
{
"name": "Integration Provider",
"path": "source",
"dataType": "string"
},
{
"name": "Channel",
"path": "channel",
"dataType": "string",
"values": ["chat", "email"]
},
{
"name": "Escalated Conversation",
"path": "alreadyEscalated",
"dataType": "boolean"
}
]
}
Returns the workspace-specific attributes, output tags, installed integration sources, operators, quantifiers, and built-in fields available to reply rule conditions.
Some arrays can be intentionally empty. For example,
Headers
Bearer token containing your Fini workspace API key. Format:
Bearer fini_... The key needs read scope.Response
Installed reply-capable integration providers. Supported values include
intercom, zendesk, salesforce, gorgias, front, hubspot, and livechat when installed.Built-in condition fields. Each item contains
name, path, dataType, and optional values or source constraints.userAttributes returns an empty array when no enabled user attributes are available to reply rules.
curl --request GET \
--url 'https://api-prod.usefini.com/v2/reply-behavior/fields-context/public' \
--header 'Authorization: Bearer fini_your_api_key'
const response = await fetch('https://api-prod.usefini.com/v2/reply-behavior/fields-context/public', {
method: 'GET',
headers: {
Authorization: 'Bearer fini_your_api_key'
}
});
const fieldsContext = await response.json();
import requests
response = requests.get(
"https://api-prod.usefini.com/v2/reply-behavior/fields-context/public",
headers={"Authorization": "Bearer fini_your_api_key"},
)
fields_context = response.json()
{
"userAttributes": [],
"operatorTypes": [
{ "value": "==", "label": "Equals" },
{ "value": "!=", "label": "Not Equals" },
{ "value": "contains", "label": "Contains" }
],
"quantifierTypes": [
{ "value": "ANY", "label": "Any" },
{ "value": "ALL", "label": "All" },
{ "value": "NONE", "label": "None" }
],
"sources": ["intercom", "zendesk"],
"tagGroups": [
{
"id": "8e96d004-e59d-4c71-9940-825cc3a7e5da",
"name": "Conversation topic",
"tags": [
{
"id": "abef2d19-fc42-4990-898a-fbcecabf11d4",
"name": "Billing"
}
]
}
],
"contextFields": [
{
"name": "Integration Provider",
"path": "source",
"dataType": "string"
},
{
"name": "Channel",
"path": "channel",
"dataType": "string",
"values": ["chat", "email"]
},
{
"name": "Escalated Conversation",
"path": "alreadyEscalated",
"dataType": "boolean"
}
]
}
Was this page helpful?

